### Hierarchy

- default
  - ToolButtonFilter

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- connectedCallback
- disconnectedCallback
- firstUpdated
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- render
- webkitRequestFullscreen

## Constructors

### constructor

- new ToolButtonFilter(): ToolButtonFilter

- Overrides default.constructor

  - Defined in src/canvas/ToolButtonsImplElements.ts:76

  #### Returns ToolButtonFilter

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Inherited from default.styles

- Defined in srcapi/elements/ToolButtonElement.ts:66

## Methods

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in src/canvas/ToolButtonsImplElements.ts:80

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

  #### Returns void

### firstUpdated

- firstUpdated(): void

- Inherited from default.firstUpdated

  - Defined in srcapi/elements/ToolButtonElement.ts:150

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### render

- render(): TemplateResult<ResultType>

- Overrides default.render

  - Defined in src/canvas/ToolButtonsImplElements.ts:91

  #### Returns TemplateResult<ResultType>

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc